--- title: "Get feature" slug: "nclue-getfeature" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/nclue-getfeature" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get feature Available in VPC Get details of a specific feature. You can check the progress of the feature you requested to create, the name of the Object Storage bucket where the sequence dataset file is stored, and the file path. You can also get the number of lines and tokens in the sequence dataset for features that have been created. If the creation fails, you can see the error message. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /features/{feature_id} | ### Request headers For information about the headers common to all NCLUE APIs, see [NCLUE request headers](/docs/en/nclue-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `feature_id` | String | Required | Feature ID - See [Get feature list](/docs/en/nclue-getfeaturelist). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://nclue.apigw.ntruss.com/api/v1/features/{feature_id}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `feature_id` | String | - | Feature ID | | `feature_name` | String | - | Feature name | | `status` | String | - | Feature status - `registered` \| `pending` \| `in_progress` \| `completed` \| `failed` - `registered`: Registered - `pending`: Pending - `in_progress`: Creating - `completed`: Available - `failed`: Failed | | `created_at` | String | - | Feature creation request date and time (ISO 8601 format) | | `completed_at` | String | - | Feature creation completion date and time (ISO 8601 format) | | `source_bucket` | String | - | Bucket name of Object Storage where the sequence dataset file is stored | | `source_file_path` | String | - | Path of the sequence dataset file in `source_bucket` | | `nclue_model_name` | String | - | NCLUE model name used when creating feature (e.g., NFM02) | | `nclue_model_status` | String | - | Current status of the NCLUE model - `active`: Currently available - `deprecated`: No longer used | | `user_count` | Integer | - | Number of users of the sequence dataset | | `token_count` | Integer | - | Number of tokens of the sequence dataset | | `disk_usage` | Integer | - | Capacity (byte) of the feature | | `fail_message` | String \| null | - | Creation failure message - Return a message on creation failure, or null on success. - For solutions to each message, see [NCLUE troubleshooting](https://guide.ncloud-docs.com/docs/en/nclue-troubleshoot). | ### Response status codes For response status codes common to NCLUE, see [NCLUE response status codes](/docs/en/nclue-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "feature_id": "848c80c1-****-****-****-120a617b1f2e", "feature_name":"YOUR_FEATURE_NAME", "status":"completed", "created_at": "2024-10-08T08:08:08", "completed_at": "2024-10-08T08:37:12", "source_bucket":"YOUR_BUCKET_NAME", "source_file_path":"path/filename", "nclue_model_name": "NFM2", "nclue_model_status": "active", "user_count": 1048371, "token_count": 83704912, "disk_usage": 70295634, "fail_message": null } ```